CVE-2004-0150
CVSS7.5
发布时间 :2004-04-15 00:00:00
修订时间 :2008-09-10 15:25:16
NMCOS    

[原文]Buffer overflow in the getaddrinfo function in Python 2.2 before 2.2.2, when IPv6 support is disabled, allows remote attackers to execute arbitrary code via an IPv6 address that is obtained using DNS.


[CNNVD]Python getaddrinfo函数远程缓冲区溢出漏洞(CNNVD-200404-051)

        
        Python是一种开放源代码的强大功能的脚本编程语言。
        Python包含的'getaddrinfo'缺少充分边界缓冲区检查,远程攻击者可以利用这个漏洞以执行用户进程权限在系统上执行任意指令。
        Python包含的'getaddrinfo'函数允许远程攻击者通过DNS提供IPv6地址,由于对提供的地址长度缺少充分边界检查,因此超长IPv6地址可发生缓冲区溢出,精心构建提交数据可能以执行用户进程权限在系统上执行任意指令。目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:python_software_foundation:python:2.2
cpe:/a:python_software_foundation:python:2.2.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0150
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0150
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-051
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/9836
(VENDOR_ADVISORY)  BID  9836
http://www.debian.org/security/2004/dsa-458
(VENDOR_ADVISORY)  DEBIAN  DSA-458
http://xforce.iss.net/xforce/xfdb/15409
(UNKNOWN)  XF  python-getaddrinfo-bo(15409)
http://www.osvdb.org/4172
(UNKNOWN)  OSVDB  4172
http://www.mandrakesoft.com/security/advisories?name=MDKSA-2004:019
(UNKNOWN)  MANDRAKE  MDKSA-2004:019
http://www.gentoo.org/security/en/glsa/glsa-200409-03.xml
(UNKNOWN)  GENTOO  GLSA-200409-03

- 漏洞信息

Python getaddrinfo函数远程缓冲区溢出漏洞
高危 边界条件错误
2004-04-15 00:00:00 2005-05-13 00:00:00
远程  
        
        Python是一种开放源代码的强大功能的脚本编程语言。
        Python包含的'getaddrinfo'缺少充分边界缓冲区检查,远程攻击者可以利用这个漏洞以执行用户进程权限在系统上执行任意指令。
        Python包含的'getaddrinfo'函数允许远程攻击者通过DNS提供IPv6地址,由于对提供的地址长度缺少充分边界检查,因此超长IPv6地址可发生缓冲区溢出,精心构建提交数据可能以执行用户进程权限在系统上执行任意指令。目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        
        http://www.debian.org/security/2004/dsa-458

- 漏洞信息

4172
Python IPv6 DNS Address Response Handling Overflow
Remote / Network Access Input Manipulation
Loss of Integrity, Impact Unknown

- 漏洞描述

A remote overflow exists in the getaddrinfo() function in Python. Python fails to handle an IPv6 DNS address, if IPv6 is not enabled, resulting in a buffer overflow. With a specially crafted request, an attacker can cause arbitrary code to be executed on the vulnerable server.

- 时间线

2004-03-10 2004-03-09
Unknow Unknow

- 解决方案

Upgrade to version 2.2.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Python getaddrinfo Function Remote Buffer Overflow Vulnerability
Boundary Condition Error 9836
Yes No
2004-03-10 12:00:00 2009-07-12 03:06:00
The disclosure of this issue has been credited to Sebastian Schmidt.

- 受影响的程序版本

Python Software Foundation Python 2.2.1
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ Gentoo Linux 1.4 _rc1
+ Gentoo Linux 1.2
+ MandrakeSoft Corporate Server 2.1 x86_64
+ MandrakeSoft Corporate Server 2.1
+ Mandriva Linux Mandrake 9.0
+ OpenPKG OpenPKG 1.1
+ S.u.S.E. Linux 8.1
Python Software Foundation Python 2.2
+ Conectiva Linux 8.0
+ Mandriva Linux Mandrake 8.2 ppc
+ Mandriva Linux Mandrake 8.2
+ Mandriva Linux Mandrake 8.1 ia64
+ Mandriva Linux Mandrake 8.1
Gentoo Linux 1.4 _rc3
Gentoo Linux 1.4 _rc2
Gentoo Linux 1.4 _rc1
Gentoo Linux 1.4
Gentoo Linux 1.2
Gentoo Linux 1.1 a
Gentoo Linux 0.7
Gentoo Linux 0.5
Python Software Foundation Python 2.2.2
+ OpenPKG OpenPKG 1.2
+ OpenPKG OpenPKG 1.2
+ RedHat Linux 7.3
+ RedHat Linux 7.3
+ S.u.S.E. Linux Personal 8.2
+ S.u.S.E. Linux Personal 8.2

- 不受影响的程序版本

Python Software Foundation Python 2.2.2
+ OpenPKG OpenPKG 1.2
+ OpenPKG OpenPKG 1.2
+ RedHat Linux 7.3
+ RedHat Linux 7.3
+ S.u.S.E. Linux Personal 8.2
+ S.u.S.E. Linux Personal 8.2

- 漏洞讨论

It has been reported that Python may be prone to a remote buffer overflow vulnerability that may allow an attacker to execute arbitrary code on a vulnerable system in order to gain unauthorized access. The issue exists due to insufficient boundary checks performed by the 'getaddrinfo' function and occurs when an IPv6 address of excessive length is sent to a vulnerable host via DNS.

It has been reported that this issue affects Python versions 2.2 and 2.2.1.

Due to a lack of information, further details cannot be outlined at the moment. This BID will be updated as more information becomes available.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Gentoo has released an advisory (GLSA 200409-03) and an updated eBuild to address this issue. Please see the referenced advisory for more information. Gentoo users can carry out the following commands to update their computer:

emerge sync
emerge -pv ">=dev-lang/python-2.2.2"
emerge ">=dev-lang/python-2.2.2"

Debian has released advisory DSA 458-1 to address this issue. Please see the referenced advisory for more information.

Debian has released advisory DSA 458-3 to address this issue. This fixes some reported problems with the fixes included in the original advisories. Please see the referenced advisory for further information.

Mandrake has released advisory MDKSA-2004:019 to address this issue. Please see the attached advisory for details on obtaining and applying fixes.

This issue has been addressed in Python 2.2.2 and later.


Python Software Foundation Python 2.2

Python Software Foundation Python 2.2.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站